gnubiff -- History of visible changes.

Copyright (C) 2000-2012 Nicolas Rougier <Nicolas.Rougier@loria.fr>,
              2004-2016 Robert Sowada <sowadart@gmx.de>
See the end for copying conditions.
Please send gnubiff bug reports to gnubiff-bugs@lists.sourceforge.net

Version 2.2.17
This is a minor bugfix release. Changes:
 * Fixed reading/writing config file
 * Fixed some smaller bugs

Version 2.2.16
This is a minor feature release. Changes:
 * Updated translations
 * Added Esperanto translation (thanks to Felipe Castro)
 * Added Finnish translation (thanks to Jorma Karvonen)
 * Added Serbian translation (thanks to Miroslav Nikolic)

Version 2.2.15
This is a minor bugfix release. Changes:
 * Added some missing files
 * Fixed some smaller bugs

Version 2.2.14
This is a minor feature release. Changes:
 * Migrated to GTK3 and Gnome3

Version 2.2.13
This is a minor feature release. Changes:
 * Updated Vietnamese translation (thanks to Clytie Siddall)
 * Updated Dutch translation (thanks to Erwin Poeze)
 * Updated Swedish translation (thanks to Daniel Nylander)
 * Added Indonesian translation (thanks to Arif E. Nugroho)
 * Fixed a bug (restarting looking for mail after connection failures)
 * Support for IPv6

Version 2.2.12
This is a minor bugfix release. Changes:
 * Fixed some compiler warnings/problems
 * Added .desktop file (thanks to Fabian Affolter)

Version 2.2.11
This is a minor bugfix release. Changes:
 * Fixed some compiler warnings/problems
 * Fixed a bug when filtering messages

Version 2.2.10
This is a minor bugfix release. Changes:
 * Fixed a bug when using IMAP4
 * Fixed some message header parsing bugs
 * Updated Dutch translation (thanks to Erwin Poeze)

Version 2.2.9
This is a minor bugfix release. Changes:
 * Fixed some bugs when using IMAP4
 * Fixed a bug when using gnubiff in the system tray without image
 * Updated German translation
 * GPL exception for distributing gnubiff linked to OpenSSL (see README file
   for details)

Version 2.2.8
This is a minor feature release. Changes:
 * Upgraded license to GPL version 3
 * Updated Swedish translation (thanks to Daniel Nylander)
 * Updated Vietnamese translation (thanks to Clytie Siddall)
 * Updated German translation

Version 2.2.7
This is a minor feature release. Changes:
 * Showing/Hiding popup via SIGUSR signals
 * Options for showing/hiding popup/applet in the taskbar
 * Several small bugfixes

Version 2.2.6
This is a minor feature release. Changes:
 * Updated Swedish translation (thanks to Daniel Nylander)
 * A small bugfix

Version 2.2.5
This is a minor bugfix release. Changes:
 * Fixed some bugs

Version 2.2.4
This is a minor bugfix release. Changes:
 * Some bug fixes
 * Portuguese translation now available (thanks to Gunther Furtado)

Version 2.2.3
This is a minor bugfix release. Changes:
 * Passwords longer than 15 characters are now handled properly
 * Compiling without fam.h is now possible
 * Some other bug fixes

Version 2.2.2
This is a minor feature release. Changes:
 * Some bug fixes
 * Updated Hungarian translation (thanks to Wallner Adam)
 * Updated Vietnamese translation (thanks to Clytie Siddall)
 * Options for filtering messages via regular expressions

Version 2.2.1
This is a minor feature release. Changes:
 * Some bug fixes
 * It is now possible to compile gnubiff without support for FAM
 * New option for not showing the preferences dialog at startup as default
 * Updated Vietnamese translation (thanks to Clytie Siddall)

Version 2.2.0
This is a major feature release. Changes:
 * Lots of bugfixes and code cleanups
 * gnubiff applet can be put in the system tray
 * gnubiff can be run without GUI or X
 * USR1 and USR2 signals are now monitored
 * Saved passwords are now encrypted via AES
 * Decoding of base64 encoded message bodies
 * About dialog for Gnome version

Version 2.1.9
This is a minor bugfix release. Changes:
 * Better detection of FAM/GAMIN at configuration time
 * FAM can be disabled for monitoring mailboxes (and polling be used instead)
 * Some additional FAM bugfixes
 * Some other small bugfixes

Version 2.1.8
This is a minor bugfix release. Changes:
 * Updated Italian translation (thanks to Stefano Fabri)
 * Added Hungarian translation (thanks to Wallner Adam)
 * Some small bugfixes

Version 2.1.7
This is a minor bugfix release. Changes:
 * Fixed a bug that prevented 2.1.6 to be installed on certain systems

Version 2.1.6
This is a minor bugfix release. Changes:
 * The gnome version of gnubiff can now be installed to any directory
    by any user

Version 2.1.5
This is a minor bugfix release. Changes:
 * Fixed some FAM and GAMIN related problems
 * Fixed problems when displaying non ASCII characters when using non UTF-8
   locales
 * Some other bugfixes

Version 2.1.4
This is a major bugfix release. Changes:
 * Support for mh mailboxes as used by Sylpheed
 * Handling of mh protocols optimized
 * Czech translation (thanks to Josef Vybiral)
 * Compliance with RFC 2047
 * Race conditions in FAM code fixed
 * Various other bugfixes

Version 2.1.3
This is a major bugfix release. Changes:
 * Maildir protocol fixed (thanks to Alexis S. L. Carvalho)
 * Mh protocol fixed
 * Fixes for 64 bit systems (thanks to David Mosberger)
 * Various other bugfixes
Note: The default behavior when using file protocol has changed. The access
time of the mail file is no longer reset by default. This can be changed by
setting the option "file_restore_atime" to true.

Version 2.1.2
This is a major bugfix release. Changes:
 * Many bug fixes
 * Improved displaying of messages
 * Vietnamese translation available

Version 2.1.1
Major bugfix release. Many thanks to Byron Foster and Calum Mackay for their
help in creating this release. Changes:
 * Many bug fixes
 * Review of network code
 * Applet and Popup window can be set to be sticky, kept above all other
   windows and not appear in pagers
 * Idling can be disabled (IMAP4)
 * Mails are now only fetched once per session
 * Out of the box support for FreeBSD (thanks to Tim Bishop)
 * Expert editing mode for all options provided by gnubiff (including internal
   options)
 * Sorting order of headers in popup can be configured

Version 2.1.0
 * Nicolas Rougier
   - New & simpler interface
   - Support of the IDLE state for imap4 (no more polling)
   - Support of the FAM (File Alteration Monitor)
     (no more polling for file/folder protocols)
   - Better detection of mailbox format
   - Bugfix: IMAP4 idle state test to avoid checking twice
   - Bugfix: Popup was shown on exiting preferences
   - Put back credits
   - Updated French translations
   - Fix a bug with IMAP4 idle feature (not recognizing the BYE command)
   - Added a TODO file to keep track of features/bugs to be implemented/fixed
   - Bugfix: Testing of "\"text\" \"plain\"" in imap4 parsing was wrong
             (some servers answer using upper cases letter)
   - Modified credits apperance in the preferences panel (and remove the
     about menu from gnome applet popup menu)
   - Bugfix: socket was closed twice when lock was lost in IDLE state
   - Bugfix: modify the configure script to have errors if popt or fam
             libraries not present
   - Sorted the contributors list
   - Feature: When adding a mailbox and if one is selected, the new mailbox is
	      copied from the selected one
   - Feature: If password is empty, gnubiff try to find by looking at
              other mailboxes and matching (address/username)
   - Updated THANKS file
   - Bugfix: display last received mail for each mailbox (up to	popup_size)
   - Bugfix: Take popup_use_size_ into account
   - Bugfix: Use of the decoded charset for imap4
   - Bugfix: Added a lock for the ui-authentification/ui-certificate access 
   - Bugfix: Fix a problem with certificate (not taking the HAVE_LIBSSL flag into account)
   - Bugfix: Bad line fixed in apop.
   - Bugfix: lock for ui-authentification access was not used in imap4
   - Bugfix: Newly created mailboxes were not created properly
* Robert Sowada (adapted by Nicolas Rougier from v2.0.3 to v2.1.0)
   - Gnome version can determine itself if in standalone mode or panel mode
   - Removed "--gtk" option, added "--applet" option in debug mode instead
   - Added "--version" option to all versions of gnubiff
   - "--help" option handled by "poptPrintHelp" in all versions of gnubiff
   - Removed messages that are no longer necessary
   - Bugfix: Using <return> in password entry
   - Bugfix: return value of main
   - Output of "--help" restructured
   - Update of man page (command line options, version, date)
   - Bugfix: Failure of select command (IMAP)
   - Bugfix: Failure of opening connection (IMAP)
   - Security Bugfix: DoS attacks by sending unterminated lines anticipated
     (if SSL is used, this was fixed for non-SSL connections in 2.0.2)
   - Bugfix: Handling network writing/reading errors
   - Bugfix/Feature: Support for international Mailbox names for IMAP
   - Security Bugfix: DoS attacks by sending a unterminated response to the
     SELECT, SEARCH, FETCH (IMAP) and TOP (POP3) commands anticipated
   - Bugfix: User set value for maximum number of mail to be collected is now
     respected (IMAP)
   - Bugfix: Fetching mails is no longer stopped if certain strings are in
     mail or mail header (IMAP)
   - Bugfix: First lines of email content are now displayed (IMAP)
   - Bugfix: Displaying mails that do not end with a newline (IMAP)
   - Feature: Only get first "text/plain" part of mail, not the whole mail;
     don't get the whole part if it is very long (IMAP)
   - Feature: Message if there is no "text/plain" part (IMAP)
   - Bugfix: Creating different tags for different commands (IMAP)
 * Robert Sowada
   - Updated german translation
   - Various small changes in GUI
   - Updated "text" "plain" fix of Nicolas to make it safe for future
     extensions
   - Get encoding and character set of "text" "plain" part (IMAP4)
   - Updated intltool utilities to version 0.32.1
   - Ported local and distant mailbox detection code from 2.0.3 to 2.1.0
   - Decoding of quotedprintable encoded mails (IMAP4)
   - Error message for mails in unknown enoding (IMAP4)
   - Bugfix: base64 decoding now rejects invalid encoded strings
   - New source files for decoding and converting
   - Separated q-encoding and quoted printable encoding
   - Number of lines (of mail body) to be read is now a constant
   - Bugfix: Setting file permissions of scripts in configure script
     (fixes bug #1083485)
   - Marked strings for translation (GNOME menu entries)
   - Bugfix: DoS attacks in IDLE command (IMAP4)
   - Bugfix: Hanging of local mailboxes
   - Ported saving to configuration file code from 2.0.2 to 2.1.0
   - Ported mh protocol fixes from 2.0.2 to 2.1.0
   - Ported maildir protocol fixes from 2.0.2 to 2.1.0
   - Ported substituting of "%d" from 2.0.2 to 2.1.0
   - Bugfix: Selecting "File or Folder" or "Autodetect" in properties dialog
   - Bugfix: Segfaults when all mails are read while popup is present
   - Bugfixes in local mailbox detection; local mailboxes are identified
     immediately
   - Feature: Use of relative paths allowed (when not using autodetection)

Version 2.0.3
  * Roland Stigge:
    - Updated man page (section 1, "GTK+")
  * Robert Sowada:
    - Changed version to 2.0.3
    - Various small changes and bugfixes
    - Updated german translation, updated po files
    - Gnome version can determine itself if in standalone mode or panel mode
    - Removed "--gtk" option, added "--applet" option in debug mode instead
    - Added "--version" option to all versions of gnubiff
    - "--help" option handled by "poptPrintHelp" in all versions of gnubiff
    - Removed messages that are no longer necessary
    - Bugfix: return value of main
    - Output of "--help" restructured
    - Code for saving the configuration file cleaned up
    - Bugfix: Autodetection of IMAP
    - Bugfix: Failure of select command (IMAP)
    - Bugfix: Failure of opening connection (IMAP)
    - Security Bugfix: DoS attacks by sending unterminated lines anticipated
      (if SSL is used, this was fixed for non-SSL connections in 2.0.2)
    - Bugfix: Handling network writing/reading errors
    - Bugfix/Feature: Support for international Mailbox names for IMAP
    - Security Bugfix: DoS attacks by sending a unterminated response to the
      SELECT, SEARCH, FETCH (IMAP) and TOP (POP3) commands anticipated
    - Bugfix: User set value for maximum number of mail to be collected is now
      respected (IMAP)
    - Bugfix: Fetching mails is no longer stopped if certain strings are in
      mail or mail header (IMAP)
    - Bugfix: First lines of email content are now displayed (IMAP)
    - Bugfix: Displaying mails that do not end with a newline (IMAP)
    - Feature: Only get first "text/plain" part of mail, not the whole mail;
      don't get the whole part if it is very long (IMAP)
    - Feature: Message if there is no "text/plain" part (IMAP)
    - Bugfix: Setting always status to MAILBOX_ERROR if an error occurs
      (POP3 & IMAP)
    - Bugfixes in displaying first lines of mails
    - Bugfix: Creating different tags for different commands (IMAP)
    - Update of man page (command line options, version, date)
    - Bugfix: Handling of text lines beginning with a dot (IMAP & POP3)
    - Bugfix: Deleting of mailboxes when detecting mailbox format
    - Bugfix: Updating when connection for mailbox detection fails
    - Bugfix: Using <return> in password entry
  * Nicolas Rougier:
    - Updated french translations
	
Version 2.0.2
 * Some cosmetic fixes
 * Bug fix in IMAP4 protocol
 * Bug fix in APOP+SSL protocol handling
 * Bug fix in seen mail handling being reset after error
 * Bug fix in image choosing for preferences panel
 * Bug fix when panel is vertically oriented
 * Bug fix in applet or biff font to be always bold
 * Bug fix when asking for password or certificate
 * Bug fix in apop.cc (debug message)
 * Mail count added in gtk applet window title
 * Nicolas Rougier
   - Some fixes for FreeBSD
   - Imap4 bug when copying from another mailbox (folder_ was set to "INBOX")
 * Roland Stigge:
   - updated po/{nl,de}.po
   - finally fixed g++-3.4 compile error (Debian bug #271288)
 * Robert Sowada:
   - Various small changes
   - Bugfix: User can no longer make config file invalid by using XML 
     sensitive characters in strings
   - Bugfixes in setting file permissions
   - File permissions are only set when creating a new config file. So the user
     is able to change to less restrictive permissions if he/she wants to do
     this
   - Bugfix in detection of animation information (via filename)
   - Bugfixes in detection of local mailbox format
   - Bugfix in mh protocol
   - Bugfixes in handling of sound filename
   - Bugfixes in string handling
   - Bugfix in "new mail" and "no mail" tooltips
   - Security Bugfix: DoS attacks by sending unterminated lines anticipated
	
Version 2.0.1
 * Small buf fix that prevented GTK+ version to be compiled
	
Version 2.0.0
 * gnubiff now officially part of the GNU project
 * Complete redesign of interface inspired by MailNotification
   by Jean-Yves Lefort.
 * Automatic detection of mailbox format
 * New option to tell gnubiff to never send passwords in clear
 * Better handling of SSL certificate
 * Various small bugfixes
 * Security fix in possible buffer overflow (pop3.c)
 * Security fix in pop3 (infinite uidl list would block gnubiff and
   ultimately crashes it)
 * Bugfix in geometry handling (was not saved properly)
 * Bugfix in pop3 protocol to really get only most recent headers
 * Bugfix in apop protocol which was really broken
 * Bugfix in imap4 to handle server panic
 * Bugfix in utf8 translation
 * Added hidden files in gtk_file_chooser's


Version 1.4.0
 * gnubiff now requires glib/gdk/gtk/libglade 2.4
 * Use of file chooser instead of file selector	
 * PNG simple animation support
 * Preview added when selecting images
 * Image/animation resizing with panel for GNOME version
 * Read mails are saved in configuration file
 * User can now choose text to be displayed when new mail and when no mail
 * Possibility to choose command to play sound
 * Possibility to choose popup background color (to make it flashy)
 * Possibility to hide image or/and text when no mail and when new mail
 * File protocol has been improved to speedup things
 * Security fix: table used for password encryption is now configurable
   using the --with-password-string making your .gnubiffrc dependent on
   your gnubiff executable (far more secure than previously but still
   very unsecure).
 * Configure script has been changed to auto-detect gnome
 * Bug fix for automatic check at startup
 * Bug fix in IMAP4 protocol with user/password/folder fields
 * Bug fix in maildir protocol with the static mtime field
 * Bug fix in file protocol with the static mtime field
 * Bug fix with mail read and popup preview
 * Bug fix with multi mailboxes and polltime
 * Bug fix in creating a default configuration file from void
 * Bug fix when no mailbox defined in confiration file
 * Bug fix with gethostbyname which is no thread safe on some platform
 * --enable-debug option added to configure

	
Version 1.2.0
 * Real multi-mailbox support
 * Mouse button clicks are now different
 * Bug fix in displaying headers
 * GTK version got now a popup menu
 * New possibility of marking "mail as seen"

Version 1.0.10
 * gnubiff becomes multithreaded (so it won't hang while checking for mail)
 * Bug fix in playing soundfile with space in name
 * Spam tagged email are not displayed (X-Spam-Flag: YES)
 * Fix a bug when no connection or when server is unreachable
 * Added a "max collected header" option.
 * Various translation fixes
	
Version 1.0.9
 * Multi mailbox with GNOME
 * Small typo fixes
 * Rewrite of decode64 function
 * Fix a bug for handling bad formatted email

Version 1.0.8
 * Fix in password saving
 * Fix in imap4 protocol

Version 1.0.7
 * Fix a bug in playing sound in setup
 * Fix a bug with forbidden characters in password
 * Fix a bug with Pop protocols and null password
	
Version 1.0.6
 * Fix a bug with saved options for popup geometry
 * Added a configure option to save password within configuration file
 * Fixed a bug in imap4 protocol (prevents gnubiff from stalling)

Version 1.0.5
 * Fix a bug when consulting email and closing popup window
 * Fix a bug with the about window (GNOME version)
 * Fix a bug in mail file protocol
 * Added a --gtk version to the gnome version
	
Version 1.0.4
 * Fix a bug when consulting environment variables
 * Take the UW-IMAP mailbox state mail into account
 * Fix a bug in maildir

Version 1.0.3
 * Fix mailfile protocol
	
Version 1.0.2
 * Use of a certificate for SSL authentication
 * Window placement can now be done by window manager
	
Version 1.0.1
 * Complete rewrite of gbiff2 that becomes officially gnubiff and
   to be part ot the GNU project
 * SSL support added - Achim Settelmeier
 * Possibility to read mail (first 10 lines)
 * All protocols fixed (hopefully)


-------------------------------------------------------
 gbiff2 package - development stopped
-------------------------------------------------------

Version 0.4.0
 * Hide 'Quit' button in configuration for GNOME version		
 * Display title and read mail now also affect biff and applet
 * Fix IMAP4 protocol again (hope it'll be the last)
 * gbiff2 now support animations !

Version 0.3.0
 * Add man page
 * Add German translation
 * Fix French translation
 * More cleanup with 'make distclean'
 * Modified configure.ac script
 * Bugfix in IMAP4 protocol	
 * Bugfix to handle cases when mail number > MAX_HEADERS (100)
	
Version 0.2.0
 * Fix bug with image filenames
 * Fix bug in popup delete_event_handler
 * Fix window positionning
 * Add a 'smart update' buttons for geometry automatic update
 * Remove schemas file from GNOME version

Version 0.1.0
 * Alpha release
 * GNOME 2.0 support
 * GTK 2.0 support
 * Use of a config file


-------------------------------------------------------
 gbiff package - development stopped
-------------------------------------------------------

Version 3.2
* Configure change to include orbit headers properly

Version 3.1
* Popup window has decorations back
* Added support for apop protocol - Earl A. Killian <earl@killian.com>
* Bug fix in GTK style management - Philippe Berger <keith001@writeme.com>
* Bug fix in IMAP4 (yes, again !)
* Bug fix with missing logo.xpm file in RPM distributions
* Bug fix in mail application saving
* Bug fix in pixmap handling
* Bug fix in window management

Version 3.0
* Bug corrected in RPM packages - Dennis Bjorklund <db@zigo.dhs.org>
* Major interface change - Josh Parsons <jp30@st-andrews.ac.uk>
* Bug fix in window positioning
* gbiff now only displays new mails (use of 'Status:' field)
* You can now launch a mail application by a double-click
* Bug fix in buffer overflow in IMAP4 protocol
	
Version 2.6
* Bug corrected in MH protocol when only one mail
* File last access time fixed in FILE protocol (mutt)
* Dynamic ports for POP3 and IMAP4 protocols (omnibiff, ssh)
* Suspend button for stopping automatic check
* --user option - Craig B. Agricola <craig@chocolate.chip.net>
* Memory leaks fixed - Craig B. Agricola <craig@chocolate.chip.net>

Version 2.5
* Added support for imap4 - Cai Yu <yu.cai@rdc.ericsson.se>
* Minor bugfixes - Cai Yu <yu.cai@rdc.ericsson.se>
* Web page documentation Greg Fenton <gregfenton@home.com>
* Base64 decoding support
   -> parse_base64 by Michel Leunen <leu@rtbf.be>
* Minor bugfix in file descriptors handling
* Internationalization: French added
	
Version 2.4a
* Major bugfix in mh-style maildirs
* Minor bugfix in pop3 protocol - Blaise Tarr <conitorus@yahoo.com>
* Minor bugfix in font selection - Blaise Tarr <conitorus@yahoo.com>
* Minor bugfix in memory leaks
	
Version 2.4
* Added Support for mh-style maildirs
* Minor bugfix in qmail-style 	
* RPM packaging - Richard Torkar <ds98rito@thn.htu.se>
	
Version 2.3
* Gnome session management - Neil Muller <neil@dip.sun.ac.za>
* --disable-gnome flag in configure script, allows to use gbiff without gnome
* Minor bug fixes

Version 2.2
* Bug fixes - Neil Muller <neil@dip.sun.ac.za>
* Added Support for qmail-style maildirs - Neil Muller <neil@dip.sun.ac.za>
* Bug fixes for buffer overflow
* Added support for gnome panel size and orientation

Version 2.1
* Added support fo POP3 protocol

Version 2.0
* Gnome dockable version

Version 1.0
* Fix remaining bugs

Version 0.4
* New handling of mouse button events:
   - keeping mouse button pressed makes headers to remain popped. 
   - keeping mouse in popup makes headers to remain popped. 
* Max length option for 'From' and 'Subject' fields
* New field (number) in popup window
* Possibility of sorting headers by number, sender, subject or date by
  clicking titles.

Version 0.3
* popup_geometry bug fixed
* you can now play .au or .wav sound files when new mail (requires a play
  program)
* you can now choose the main window background color

Version 0.2
* Display date of messages
* Possibility of choosing what has to be displayed in popup window
* Presentation in list format
* Several bug fixes

Version 0.1
* Check for mail and popup a window with sender and subject information
* Click on main window to force mail check. 
* When headers are popped, click on them or in main window to hide them. 
* Display unread mail number at any time
	
	
-------------------------------------------------------
Copying information:

Copyright (C) 2000-2005, Nicolas Rougier <Nicolas.Rougier@loria.fr>

   Permission is granted to anyone to make or distribute verbatim copies
   of this document as received, in any medium, provided that the
   copyright notice and this permission notice are preserved,
   thus giving the recipient permission to redistribute in turn.

   Permission is granted to distribute modified versions
   of this document, or of portions of it,
   under the above conditions, provided also that they
   carry prominent notices stating who last changed them.

